Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.data.engine.api
Interface IBaseQueryDefinition

All Superinterfaces:
  IBaseTransform, IDataQueryDefinition, INamedObject

All Known Subinterfaces:
  IQueryDefinition, ISubqueryDefinition

All Known Implementing Classes:
  BaseQueryDefinition, QueryDefinition, SubqueryDefinition, SubqueryLocator

    public interface IBaseQueryDefinition

extends IBaseTransform, IDataQueryDefinition

/** Represents attributes common to a data engine query and a subquery.

Method Summary
`void` | `addBinding(IBinding binding)` Add a column binding instance to query definition.
`boolean` | `cacheQueryResults()` Indicates if the query need cache the result rows .
`java.util.Map` | `getBindings()` Get all column binding instance from query definition.
`boolean` | `getDistinctValue()` If the flag is true this query will return the rows with distinct or unique column values.
`java.util.List` | `getGroups()` Returns the group definitions as an ordered collection of `IGroupDefinition` objects.
`int` | `getMaxRows()` Gets the maximum number of detail rows that can be retrieved by this query
`IBaseQueryDefinition` | `getParentQuery()` Returns the parent query.
`IQueryExecutionHints` | `getQueryExecutionHints()` Return the Query Execution Hints information.
`java.util.Map` | `getResultSetExpressions()` Deprecated.
`int` | `getStartingRow()` Gets the starting row that will be retrieved by this query
`void` | `setMaxRows(int maxRows)` set the maximum number of detail rows that can be retrieved by this query
`boolean` | `usesDetails()` Indicates if the report will use the detail rows.

Methods inherited from interface org.eclipse.birt.data.engine.api.IBaseTransform
`getFilters, getSorts, getSubqueries`

Methods inherited from interface org.eclipse.birt.data.engine.api.INamedObject
`getName, setName`

Method Detail

### getGroups

    java.util.List getGroups()

  Returns the group definitions as an ordered collection of `IGroupDefinition` objects. Groups are organizations within the data that support aggregation, filtering and sorting. Reports use groups to trigger level breaks.

  Returns:
    the list of groups. If no group is defined, null is returned.

### usesDetails

    boolean usesDetails()

  Indicates if the report will use the detail rows. Allows the data engine to optimize the query if the details are not used.

  Returns:
    true if the detail rows are used, false if not used

### cacheQueryResults

    boolean cacheQueryResults()

  Indicates if the query need cache the result rows . The query result can be reload form the cache if the cache is used.

  Returns:
    true if cache is needed.

### getParentQuery

    IBaseQueryDefinition getParentQuery()

  Returns the parent query. The parent query is the outer query which encloses this query.

### getMaxRows

    int getMaxRows()

  Gets the maximum number of detail rows that can be retrieved by this query

  Returns:
    Maximum number of rows. If 0, there is no limit on how many rows this query can retrieve.

### setMaxRows

    void setMaxRows(int maxRows)

  set the maximum number of detail rows that can be retrieved by this query

### getResultSetExpressions

    java.util.Map getResultSetExpressions()

  Deprecated.

  Gets the expressions that needs to be available at the group/list, as an Map of bound colum name to `IBaseExpression` objects.

  Returns:

### addBinding

    void addBinding(IBinding binding)
                    throws org.eclipse.birt.data.engine.core.DataException

  Add a column binding instance to query definition.

  Parameters:
    `name` -
    `binding` -
  Throws:
    `org.eclipse.birt.data.engine.core.DataException`
    `org.eclipse.birt.data.engine.core.DataException`

### getBindings

    java.util.Map getBindings()

  Get all column binding instance from query definition.

  Returns:
  Throws:
    `org.eclipse.birt.data.engine.core.DataException`

### getQueryExecutionHints

    IQueryExecutionHints getQueryExecutionHints()

  Return the Query Execution Hints information. The Query Execution Hints information defines hints info for Data engine to execution the query.

  Returns:

### getStartingRow

    int getStartingRow()

  Gets the starting row that will be retrieved by this query

  Returns:

### getDistinctValue

    boolean getDistinctValue()

  If the flag is true this query will return the rows with distinct or unique column values. Currently this flag is valid only for the query which use another query as data source.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.